AplasAplas API Reference

List relationship types

GET
/workspaces/{workspaceId}/relationship-types

Authorization

BearerAuth
AuthorizationBearer <token>

API authentication via Authorization: Bearer <your-api-key>. Obtain your API key from Config → API in the Aplas web app.

In: header

Path Parameters

workspaceId*string

The workspace's slug.

Query Parameters

limit?integer

Maximum number of resources to return in one page.

Default50
Range1 <= value <= 200
cursor?string

Opaque cursor from a previous response's nextCursor. Omit to fetch the first page.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.au.aplas.com/api/v3/workspaces/string/relationship-types"
{
  "nextCursor": "string",
  "data": [
    {
      "id": "string",
      "name": "string",
      "reverseName": "string",
      "description": "string",
      "isBuiltIn": true
    }
  ]
}
{
  "statusCode": 403,
  "error": "Forbidden",
  "message": "The permissions of your API key only allow read-only/GET calls."
}
{
  "statusCode": 403,
  "error": "Forbidden",
  "message": "The permissions of your API key only allow read-only/GET calls."
}
{
  "statusCode": 403,
  "error": "Forbidden",
  "message": "The permissions of your API key only allow read-only/GET calls."
}